QGIS Application - Bug report #19584
Raster Clip and Merge issues (QGIS 3.2.1)
2018-08-10 06:28 AM - Loren Amelang

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.2.1 Regression?: No
Operating System: Windows 10 Creators with 3000x2000 scrgdtamydfith % scaling No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27411
Description

Maybe this should be several separate issues, but it will be more understandable if | describe them in sequence...

| had three 400MB 1-meter DEM iif files, and RiverGIS only lets you query one file name per project, so | wanted to consolidate them.

First | moved them to the project CRS with Raster -> Projections -> Warp (reproject). It altered the contrast of the visible DEM image, two
got way paler, one slightly higher contrast. Is that proper?

Then | tried Raster -> Miscellaneous -> Merge, but got a Memory Error every time.

| thought I'd cut the file size, so | made a vector layer with the rectangular boundary of my project. | used Raster -> Extraction -> Clip
Raster by Mask Layer, and it clipped the parts outside the boundary. BUT it made each output file the size of the full mask boundary! Is
that expected? So they didn't get much smaller.

Merge still got a memory error each time. And, for each new try, | found | had to close the Merge window and start over from the QGIS
menu bar. If | just edited a setting and tried again, | got "Incorrect parameter value for INPUT". It would still show the files selected, and
re-selecting the input files didn't help.

Win 10 Resource Monitor showed zero memory faults, and just a tiny blip from 41% to 51% memory used, for these "Memory Error" tries,
so | don't think it was a hardware limitation.

| tried Raster -> Extraction -> Clip Raster by Extent (Select extent on canvas)

First file worked, second showed correct "zoom to" extent but no image; under the Layers entry it showed:
1.79769e+308

-1.79769e+308

instead of

238.166

822.751

Again, turns out you can't edit and re-use a dialog! Must start over and re-enter everything each time.

After the manual clip, there were a couple of empty cracks near the boundaries where the segments should meet... They met perfectly on
the screen before the clip. | found | has to draw my manual boundary at least 300" beyond the apparent edge of the DEM to get it all!
Seems strange... Yes, all the files and the map image were in the same 2226 project CRS.

Also, if | tried to save to the same filename | had used in the last test, the .tif.aux.xml file would be saved, but not the actual new .tif! When
| added a character to make a new filename, the .tif was saved with the new name, but no new .tif.aux.xml was saved under either name!

(Looks like all of my .tif.aux.xml files have different timestamps from the matching .tif...)

| checked the Merge command before clicking run this time:
gdal_merge.bat ot Float32 -of GTiff -0 "C:/Users/loren/Giant Files/HEC-RAS Dam Break/QGIS

| was a bit suspicious of all the /' dividers being valid in Windows... The file did exist:
C:\Users\loren\AppData\Local\Temp\processing_b1a1b0b73d594cc4a2747620a75d7b50\mergelnputFiles.txt
But it was blank before | clicked "go".

But it worked! With 225MB of input data instead of 955MB (or 1201MB input which had made an all-black 1565MB output file).

After the operation completed, the mergelnputFiles.txt file listed my input files.

One more curiosity... Each time | tried one of these operations with "Open Output File" checked it made another OGR error:
2018-08-09T17:56:41 WARNING Cannot open C:/Users/loren/Giant Files/HEC-RAS Dam Break/QGIS
Projects/FEMA808/DEM_47_435_t02226_clip_manual.tif.()

2018-08-09T18:01:12 WARNING Cannot open C:/Users/loren/Giant Files/HEC-RAS Dam Break/QGIS
Projects/FEMA808/DEM_47_436_t02226_clip_manual.tif.()

2018-08-09T18:11:12 WARNING Cannot open C:/Users/loren/Giant Files/HEC-RAS Dam Break/QGIS
Projects/FEMA808/DEM_2226_clip_man_merge.tif.()

--> All of those files (and lots more before them) appeared to open normally in the Layers menu. What can this mean?

Related issues:

Related to QGIS Application - Bug report # 19594: "Memory Error" in Raster Merge Closed 2018-08-10
Related to QGIS Application - Bug report # 19595: "Clip Raster by Mask Layer"... Closed 2018-08-10
Related to QGIS Application - Bug report # 19596: Can't re-use "Clip Raster b... Closed 2018-08-10
Related to QGIS Application - Bug report # 19597: OGR: "WARNING Cannot open <... Closed 2018-08-10
History

#1 - 2018-08-10 08:03 AM - Nyall Dawson

Hi Loren,

Can you file these as separate distinct issues?

#2 - 2018-08-10 09:35 PM - Loren Amelang
Merge - #19594
Resize - #19595

Clip - #19596
OGRwarn - #19597

#3 - 2018-08-10 09:43 PM - Jiirgen Fischer

- Related to Bug report #19594: "Memory Error" in Raster Merge added

#4 - 2018-08-10 09:43 PM - Juirgen Fischer
- Related to Bug report #19595: "Clip Raster by Mask Layer" is actually "Resize to mask layer" added

#5 - 2018-08-10 09:43 PM - Jiirgen Fischer
- Related to Bug report #19596: Can't re-use "Clip Raster by Extent" dialog; boundary offset? added

#6 - 2018-08-10 09:43 PM - Jiirgen Fischer
- Related to Bug report #19597: OGR: "WARNING Cannot open <file>" when they seem to open fine? added

#7 - 2018-08-13 01:01 PM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Open to Closed

Separate tickets have been filed, closing this.
